Bug 1222772 - fish: Could not locate end of block. The “end” command is missing, misspelled or a “;” is missing.
Summary: fish: Could not locate end of block. The “end” command is missing, misspelled...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fish
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andy Lutomirski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-19 07:04 UTC by James Patterson
Modified: 2016-07-27 19:17 UTC (History)
3 users (show)

Fixed In Version: fish-2.3.1-1.fc24 fish-2.3.1-1.fc23 fish-2.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-12 15:02:51 UTC
Type: Bug


Attachments (Terms of Use)

Description James Patterson 2015-05-19 07:04:49 UTC
Description of problem:

$ fish
$ mkdir My\ Files
$ cd "My<tab>
~> cd "Myfish: Could not locate end of block. The “end” command is missing, misspelled or a “;” is missing.
/usr/share/fish/functions/__fish_complete_cd.fish (line 2): begin; printf "%s\n" "My*/ 
                                                            ^
in . (source) call of file “-”,
	called on line 35 of file “/usr/share/fish/functions/__fish_complete_cd.fish”,

in function “__fish_complete_cd”,
	called on standard input,

in command substitution
	called on standard input,

source: Error while reading file “-”
 Files/fish: Could not locate end of block. The “end” command is missing, misspelled or a “;” is missing.
/usr/share/fish/functions/__fish_complete_cd.fish (line 2): begin; printf "%s\n" "My Files/*/ 
                                                            ^
in . (source) call of file “-”,
	called on line 35 of file “/usr/share/fish/functions/__fish_complete_cd.fish”,

in function “__fish_complete_cd”,
	called on standard input,

in command substitution
	called on standard input,

source: Error while reading file “-”



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 James Patterson 2015-05-19 09:30:24 UTC
Posted upstream: https://github.com/fish-shell/fish-shell/issues/2075

Comment 3 Fedora Update System 2016-05-22 17:33:44 UTC
fish-2.3.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c8ae9434a9

Comment 4 Fedora Update System 2016-05-22 17:34:24 UTC
fish-2.3.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c8719529c8

Comment 5 Fedora Update System 2016-05-22 17:35:09 UTC
fish-2.3.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bf3b46492a

Comment 6 Andy Lutomirski 2016-05-22 17:35:56 UTC
Sorry for failing to fix this for so long.

Comment 7 Fedora Update System 2016-05-24 02:52:00 UTC
fish-2.3.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bf3b46492a

Comment 8 Fedora Update System 2016-05-24 02:52:52 UTC
fish-2.3.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c8719529c8

Comment 9 Fedora Update System 2016-05-24 02:57:26 UTC
fish-2.3.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c8ae9434a9

Comment 10 Fedora Update System 2016-06-05 02:51:01 UTC
fish-2.3.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-06-05 02:57:27 UTC
fish-2.3.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-06-18 19:00:08 UTC
fish-2.3.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-07-07 14:12:10 UTC
fish-2.3.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f400b76b0a

Comment 14 Fedora Update System 2016-07-07 14:12:57 UTC
fish-2.3.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f524170748

Comment 15 Fedora Update System 2016-07-07 14:13:30 UTC
fish-2.3.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-11c320ee6c

Comment 16 Fedora Update System 2016-07-10 03:18:16 UTC
fish-2.3.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f400b76b0a

Comment 17 Fedora Update System 2016-07-10 03:53:08 UTC
fish-2.3.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f524170748

Comment 18 Fedora Update System 2016-07-10 15:58:48 UTC
fish-2.3.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-11c320ee6c

Comment 19 Fedora Update System 2016-07-12 15:02:30 UTC
fish-2.3.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-07-19 22:23:30 UTC
fish-2.3.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-07-27 19:17:33 UTC
fish-2.3.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.